sasl_getsimple_t(10 July 2001)

NAME
sasl_getsimple_t - The SASL callback for username/authname/realm

SYNOPSIS
#include <sasl/sasl.h>

int sasl_getsimple_t(void *context,
		          int id,
		          const char ** result,
		          unsigned * len);

DESCRIPTION
sasl_getsimple_t is used to retrieve simple things from the application. In practice this is authentication name, authorization name, and realm. The id parameter indicates which value is being requested. Possible values include:
SASL_CB_USER     - Client user identity to login as
SASL_CB_AUTHNAME - Client authentication name
SASL_CB_LANGUAGE - Comma-separated list of RFC 1766 languages
SASL_CB_CNONCE   - Client-nonce (for testing mostly)

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_callbacks(3), sasl_errors(3)